//Author:    Timothy Pearson <kb9vqf@pearsoncomputing.net>, (C) 2012
//Copyright: See COPYING file that comes with this distribution

#ifndef _REMOTEMDI_H_
#define _REMOTEMDI_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <tqvaluelist.h>
#include <kmdimainfrm.h>

class KMdiChildView;
class KListBox;
class TQListBoxItem;

/**
 * @short Remote Laboratory Main Window
 * @author Timothy Pearson <kb9vqf@pearsoncomputing.net>
 * @version 0.1
 */
class RemoteMDI : public KMdiMainFrm
{
	Q_OBJECT

	public:
		/**
		* Default Constructor
		*/
		RemoteMDI(KMdi::MdiMode mode);
		
		/**
		* Default Destructor
		*/
		virtual ~RemoteMDI();

		void setServerHost(TQString server);

	public slots:
		virtual void childWindowCloseRequest(KMdiChildView *pWnd);
		void processCloseList();
	
	protected slots:
		void openNewWindow(KMdiChildView *view=0);
		void currentChanged(KMdiChildView *current);
		void closeCurrent();
		void listBoxExecuted(TQListBoxItem *);
		void childClosed(KMdiChildView *w);
	
	private slots:
		void configToolbars();
		void configKeys();
		void startSpectrumAnalyzer();
	
	protected:
		virtual bool queryClose();
	
		unsigned m_children;
		TQString m_serverHost;
	
		TQValueList<KMdiChildView*> m_window;
		TQValueList<KMdiChildView*> m_closelist;
		KListBox *m_listBox;
};

#endif // _REMOTEMDI_H_

