//Author:    Timothy Pearson <kb9vqf@pearsoncomputing.net>, (C) 2012
//Copyright: See COPYING file that comes with this distribution

#ifndef SPECTRUMANALYZERVIEW_H
#define SPECTRUMANALYZERVIEW_H

#include <kconfig.h>
#include <kparts/part.h>
#include <kmdichildview.h>

class KAction;

namespace RemoteLab {

typedef KParts::ReadOnlyPart InstrumentPart;

class InstrumentView : public KMdiChildView
{
	Q_OBJECT
	
	public:
		InstrumentView(const TQString &library, TQWidget *parentWidget=0L, const char *name=0L, WFlags f=0);
		InstrumentView(const TQString &library, const TQString &caption, TQWidget *parentWidget=0L, const char *name=0L, WFlags f=0);
		~InstrumentView();
		void connectServer(TQString server);
		void closeConnections();
	
	protected:
		virtual void saveProperties( KConfig * );
		virtual void readProperties( KConfig * );
		virtual bool queryExit();
	
	private:
		void init();
		TQString m_libraryName;
		RemoteLab::InstrumentPart *m_instrumentPart;
};

} // namespace RemoteLab

#endif
